> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Save Promotion

POST TBD/api/v2/gifts/save-promotion

This API lets a user save a promotional offer using the promotion ID. The saved promotion could be later accessed under user's saved promotions. The user can also remove a saved promotion. The response includes details of the action, such as the unique identifier for the saved promotion and the time of its creation and update.

### Request Body

- `promotion_id` (string): Specifies the ID of the promotion to be saved.
    
- `remove` (integer): Indicates if the saved promotion should be removed. 1 indicates removing the saved promotion, while 0 leaves the promotion saved.
    

### Response

- `promotion_id` (string): Indicates the ID of the promotional offer that has been saved.
    
- `user_id` (string): Shows the unique identifier corresponding to the user who saved the promotion.
    
- `id` (string): Specifies a unique identifier for the save action.
    
- `created_at` (string): Generates a timestamp at the moment of saving the promotion.
    
- `updated_at` (string): Generates a timestamp of the last modification made to the saved promotion.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/gift-card-promotion/save-promotion

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Save Promotion

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (ApiV2GiftsSavePromotionPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ApiV2GiftsSavePromotionPostResponsesContentApplicationJsonSchemaData

- `promotion_id` (string, optional)
- `user_id` (string, optional)
- `id` (string, optional)
- `updated_at` (string, optional)
- `created_at` (string, optional)

## Examples

**Response**

```json
{
  "message": "Successfully saved promotion.",
  "api": "save-promotion",
  "status": "success",
  "data": {
    "promotion_id": "da7ba8db-6eb6-443a-bc7d-340941aea72b",
    "user_id": "0b307581-21d1-4f4d-a9fa-8045111b030e",
    "id": "f01ff48f-643-4e18-a41e-dcfb831143e",
    "updated_at": "2024-04-28 22:20:32",
    "created_at": "2024-04-28 22:20:32"
  }
}
```

**SDK Code**

```python Gift Card & Promotion_savePromotion_example
import requests

url = "https://tbd/api/v2/gifts/save-promotion"

querystring = {"api_token":"{{token}}"}

response = requests.post(url, params=querystring)

print(response.json())
```

```javascript Gift Card & Promotion_savePromotion_example
const url = 'https://tbd/api/v2/gifts/save-promotion?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Gift Card & Promotion_savePromotion_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/gifts/save-promotion?api_token=%7B%7Btoken%7D%7D"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Gift Card & Promotion_savePromotion_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/gifts/save-promotion?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java Gift Card & Promotion_savePromotion_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/gifts/save-promotion?api_token=%7B%7Btoken%7D%7D")
  .asString();
```

```php Gift Card & Promotion_savePromotion_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/gifts/save-promotion?api_token=%7B%7Btoken%7D%7D');

echo $response->getBody();
```

```csharp Gift Card & Promotion_savePromotion_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/gifts/save-promotion?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift Gift Card & Promotion_savePromotion_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/gifts/save-promotion?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```